Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
tls_record.h File Reference
`#include <botan/tls_algos.h>`
`#include <botan/tls_magic.h>`
`#include <botan/tls_version.h>`
`#include <botan/aead.h>`
`#include <vector>`
`#include <chrono>`
`#include <functional>`

Go to the source code of this file.

## Classes
class | Botan::TLS::Connection_Cipher_State
class | Botan::TLS::Record_Header

## Namespaces
| Botan
| Botan::TLS

## Typedefs
typedef std::function< std::shared_ptr< Connection_Cipher_State >uint16_t)> | Botan::TLS::get_cipherstate_fn

## Functions
Record_Header | Botan::TLS::read_record (bool is_datagram, secure_vector< uint8_t > &readbuf, const uint8_t input[], size_t input_len, size_t &consumed, secure_vector< uint8_t > &recbuf, Connection_Sequence_Numbers *sequence_numbers, get_cipherstate_fn get_cipherstate, bool allow_epoch0_restart)
void | Botan::TLS::write_record (secure_vector< uint8_t > &output, uint8_t record_type, Protocol_Version version, uint64_t record_sequence, const uint8_t *message, size_t message_len, Connection_Cipher_State *cs, RandomNumberGenerator &rng)